# class GitHub::Markup::RDoc

### Public Class Methods

new() click to toggle source
Calls superclass method `GitHub::Markup::Implementation::new`

    # File lib/github/markup/rdoc.rb, line 8
    def initialize
      super(/rdoc/, ["RDoc"])
    end

### Public Instance Methods

name() click to toggle source

    # File lib/github/markup/rdoc.rb, line 21
    def name
      "rdoc"
    end

render(filename, content, options: {}) click to toggle source

    # File lib/github/markup/rdoc.rb, line 12
    def render(filename, content, options: {})
      if ::RDoc::VERSION.to_i >= 4
        h = ::RDoc::Markup::ToHtml.new(::RDoc::Options.new)
      else
        h = ::RDoc::Markup::ToHtml.new
      end
      h.convert(content)
    end